public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Git-Wrapper/
Date: Sun, 29 Apr 2012 19:26:56 +0000 (UTC)	[thread overview]
Message-ID: <1335726346.18efeed088ed1e31ce811fe8e18817a7fa219f8d.kent@gentoo> (raw)

commit:     18efeed088ed1e31ce811fe8e18817a7fa219f8d
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Sun Apr 29 19:05:46 2012 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Sun Apr 29 19:05:46 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=18efeed0

[newversion] Git-Wrapper-0.20.0

(Portage version: 2.2.0_alpha101/git/Linux x86_64, signed Manifest commit with key 4132B87441EA24A4EB5E6DE181EC638ED7AE97A6)

---
 dev-perl/Git-Wrapper/ChangeLog                 |    5 ++
 dev-perl/Git-Wrapper/Git-Wrapper-0.20.0.ebuild |   69 ++++++++++++++++++++++++
 2 files changed, 74 insertions(+), 0 deletions(-)

diff --git a/dev-perl/Git-Wrapper/ChangeLog b/dev-perl/Git-Wrapper/ChangeLog
index 035536d..485cddc 100644
--- a/dev-perl/Git-Wrapper/ChangeLog
+++ b/dev-perl/Git-Wrapper/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*Git-Wrapper-0.20.0 (29 Apr 2012)
+
+  29 Apr 2012; Kent Fredric <kentfredric@gmail.com> +Git-Wrapper-0.20.0.ebuild:
+  Version Bump
+
 *Git-Wrapper-0.19.0 (28 Apr 2012)
 
   28 Apr 2012; Kent Fredric <kentfredric@gmail.com> +Git-Wrapper-0.19.0.ebuild:

diff --git a/dev-perl/Git-Wrapper/Git-Wrapper-0.20.0.ebuild b/dev-perl/Git-Wrapper/Git-Wrapper-0.20.0.ebuild
new file mode 100644
index 0000000..f83fb25
--- /dev/null
+++ b/dev-perl/Git-Wrapper/Git-Wrapper-0.20.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=GENEHACK
+MODULE_VERSION=0.020
+inherit perl-module
+
+DESCRIPTION='Wrap git(7) command-line interface'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+	# File::Temp
+	echo virtual/perl-File-Temp
+	# File::pushd
+	echo dev-perl/File-pushd
+	# IPC::Cmd
+	echo virtual/perl-IPC-Cmd
+	# IPC::Open3
+	echo dev-lang/perl
+	# Sort::Versions
+	echo dev-perl/Sort-Versions
+	# Symbol
+	echo dev-lang/perl
+	# overload
+	echo dev-lang/perl
+	# perl 5.006 ( 5.6.0 )
+	echo \>=dev-lang/perl-5.6.0
+	# strict
+	echo dev-lang/perl
+	# warnings
+	echo dev-lang/perl
+}
+perl_meta_test() {
+	# File::Path
+	echo virtual/perl-File-Path
+	# File::Spec
+	echo virtual/perl-File-Spec
+	# IO::File
+	echo virtual/perl-IO
+	# POSIX
+	echo dev-lang/perl
+	# Test::Deep
+	echo dev-perl/Test-Deep
+	# Test::Exception
+	echo dev-perl/Test-Exception
+	# Test::More
+	echo virtual/perl-Test-Simple
+}
+extra_deps() {
+	echo dev-vcs/git
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_runtime)
+	test? ( $(perl_meta_test) )
+	$(extra_deps)
+"
+RDEPEND="
+	$(perl_meta_runtime)
+	$(extra_deps)
+"
+SRC_TEST="do"



             reply	other threads:[~2012-04-29 19:27 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-04-29 19:26 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-04-29 18:02 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Git-Wrapper/ Kent Fredric
2013-05-09 11:44 Kent Fredric
2012-10-28  2:41 Kent Fredric
2012-08-08 10:32 Kent Fredric
2012-07-20 15:56 Kent Fredric
2012-04-28 10:40 Kent Fredric
2012-02-27 13:50 Kent Fredric
2011-09-24 14:04 Kent Fredric
2011-07-16 22:59 Kent Fredric
2011-07-04 10:41 Kent Fredric
2011-07-04 10:41 Kent Fredric

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1335726346.18efeed088ed1e31ce811fe8e18817a7fa219f8d.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox